#include <iostream>
#include <string>
#include <cmath>

using namespace std;

int main() 
{ 
	string p;
	cin>>p;
	
	int n=p.length();
	int k1[2],k2[2],s=0;
	
	for(int i=0;i<n;i++){
		if(p[i]=='b'){
			k1[s]=i;
			k2[s]=n-i-1;
			s++;
		}
	}
	int resenje=abs(k1[0]-k2[1])+1;
	
//	if(resenje==0) resenje=1;
	
	cout<<resenje;



    return 0; 
}